#include "deftype.h"

void strcpy3(unchar *des,unchar *src)
{
unchar c;
	/* skip to " or , */
	while (c=*src++,c!='\"' && c!=',' && c!=0);
	switch (c) {
		case '\"':
			while (c=*src++,c!='\"' && c!=0) *des++=c;
			break;
		case ',':
			while ((c=*src++)!=0) *des++=c;
			break;
	}
	*des=0; /* end code */
}
